source: libcfa/src/Makefile.in @ ba9baad

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprno_listpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since ba9baad was ba9baad, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

Simplified some of the handling by converting libcfa sources from .c to .cfa

  • Property mode set to 100644
File size: 27.0 KB
RevLine 
[44f44617]1# Makefile.in generated by automake 1.15 from Makefile.am.
[8c0404e]2# @configure_input@
3
[44f44617]4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
[8c0404e]6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19
20
21VPATH = @srcdir@
[44f44617]22am__is_gnu_make = { \
23  if test -z '$(MAKELEVEL)'; then \
24    false; \
25  elif test -n '$(MAKE_HOST)'; then \
26    true; \
27  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
28    true; \
29  else \
30    false; \
31  fi; \
32}
33am__make_running_with_option = \
34  case $${target_option-} in \
35      ?) ;; \
36      *) echo "am__make_running_with_option: internal error: invalid" \
37              "target option '$${target_option-}' specified" >&2; \
38         exit 1;; \
39  esac; \
40  has_opt=no; \
41  sane_makeflags=$$MAKEFLAGS; \
42  if $(am__is_gnu_make); then \
43    sane_makeflags=$$MFLAGS; \
44  else \
45    case $$MAKEFLAGS in \
46      *\\[\ \   ]*) \
47        bs=\\; \
48        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
49          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
50    esac; \
51  fi; \
52  skip_next=no; \
53  strip_trailopt () \
54  { \
55    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
56  }; \
57  for flg in $$sane_makeflags; do \
58    test $$skip_next = yes && { skip_next=no; continue; }; \
59    case $$flg in \
60      *=*|--*) continue;; \
61        -*I) strip_trailopt 'I'; skip_next=yes;; \
62      -*I?*) strip_trailopt 'I';; \
63        -*O) strip_trailopt 'O'; skip_next=yes;; \
64      -*O?*) strip_trailopt 'O';; \
65        -*l) strip_trailopt 'l'; skip_next=yes;; \
66      -*l?*) strip_trailopt 'l';; \
67      -[dEDm]) skip_next=yes;; \
68      -[JT]) skip_next=yes;; \
69    esac; \
70    case $$flg in \
71      *$$target_option*) has_opt=yes; break;; \
72    esac; \
73  done; \
74  test $$has_opt = yes
75am__make_dryrun = (target_option=n; $(am__make_running_with_option))
76am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
[8c0404e]77pkgdatadir = $(datadir)/@PACKAGE@
78pkgincludedir = $(includedir)/@PACKAGE@
79pkglibdir = $(libdir)/@PACKAGE@
80pkglibexecdir = $(libexecdir)/@PACKAGE@
81am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
82install_sh_DATA = $(install_sh) -c -m 644
83install_sh_PROGRAM = $(install_sh) -c
84install_sh_SCRIPT = $(install_sh) -c
85INSTALL_HEADER = $(INSTALL_DATA)
86transform = $(program_transform_name)
87NORMAL_INSTALL = :
88PRE_INSTALL = :
89POST_INSTALL = :
90NORMAL_UNINSTALL = :
91PRE_UNINSTALL = :
92POST_UNINSTALL = :
[ff1e0f38]93build_triplet = @build@
94host_triplet = @host@
[c59712e]95subdir = src
[8c0404e]96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/configure.ac
98am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
99        $(ACLOCAL_M4)
[c59712e]100DIST_COMMON = $(srcdir)/Makefile.am $(nobase_cfa_include_HEADERS) \
101        $(am__DIST_COMMON)
[8c0404e]102mkinstalldirs = $(install_sh) -d
103CONFIG_CLEAN_FILES =
104CONFIG_CLEAN_VPATH_FILES =
105am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
106am__vpath_adj = case $$p in \
107    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
108    *) f=$$p;; \
109  esac;
110am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
111am__install_max = 40
112am__nobase_strip_setup = \
113  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
114am__nobase_strip = \
115  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
116am__nobase_list = $(am__nobase_strip_setup); \
117  for p in $$list; do echo "$$p $$p"; done | \
118  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
119  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
120    if (++n[$$2] == $(am__install_max)) \
121      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
122    END { for (dir in files) print dir, files[dir] }'
123am__base_list = \
124  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
125  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
126am__uninstall_files_from_dir = { \
127  test -z "$$files" \
128    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
129    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
130         $(am__cd) "$$dir" && rm -f $$files; }; \
131  }
[ff2d7341]132am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfa_includedir)"
[8c0404e]133LIBRARIES = $(lib_LIBRARIES)
134AR = ar
[ef7d253]135AM_V_AR = $(am__v_AR_@AM_V@)
136am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
[44f44617]137am__v_AR_0 = @echo "  AR      " $@;
138am__v_AR_1 =
[3d50aaf]139libcfa_a_AR = $(AR) $(ARFLAGS)
140libcfa_a_LIBADD =
[c59712e]141am__dirstamp = $(am__leading_dot)dirstamp
[ba9baad]142am__objects_1 = fstream.$(OBJEXT) iostream.$(OBJEXT) \
143        iterator.$(OBJEXT) limits.$(OBJEXT) rational.$(OBJEXT) \
144        time.$(OBJEXT) stdlib.$(OBJEXT) common.$(OBJEXT) \
145        containers/maybe.$(OBJEXT) containers/pair.$(OBJEXT) \
146        containers/result.$(OBJEXT) containers/vector.$(OBJEXT) \
147        concurrency/coroutine.$(OBJEXT) concurrency/thread.$(OBJEXT) \
148        concurrency/kernel.$(OBJEXT) concurrency/monitor.$(OBJEXT) \
149        concurrency/mutex.$(OBJEXT)
150am__objects_2 = prelude.$(OBJEXT) startup.$(OBJEXT) \
151        interpose.$(OBJEXT) bits/debug.$(OBJEXT) assert.$(OBJEXT) \
152        exception.$(OBJEXT) virtual.$(OBJEXT) heap.$(OBJEXT) \
153        $(am__objects_1) concurrency/CtxSwitch-@host_alias@.$(OBJEXT) \
154        concurrency/alarm.$(OBJEXT) concurrency/invoke.$(OBJEXT) \
155        concurrency/preemption.$(OBJEXT)
[c59712e]156am_libcfa_a_OBJECTS = $(am__objects_2)
[8c0404e]157libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
[44f44617]158AM_V_P = $(am__v_P_@AM_V@)
159am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
160am__v_P_0 = false
161am__v_P_1 = :
162AM_V_GEN = $(am__v_GEN_@AM_V@)
163am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
164am__v_GEN_0 = @echo "  GEN     " $@;
165am__v_GEN_1 =
166AM_V_at = $(am__v_at_@AM_V@)
167am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
168am__v_at_0 = @
169am__v_at_1 =
[c59712e]170DEFAULT_INCLUDES = -I.@am__isrc@
171depcomp = $(SHELL) $(top_srcdir)/./automake/depcomp
[8c0404e]172am__depfiles_maybe = depfiles
173am__mv = mv -f
[8e5724e]174CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
175        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
176AM_V_CPPAS = $(am__v_CPPAS_@AM_V@)
177am__v_CPPAS_ = $(am__v_CPPAS_@AM_DEFAULT_V@)
[44f44617]178am__v_CPPAS_0 = @echo "  CPPAS   " $@;
179am__v_CPPAS_1 =
[8c0404e]180COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
181        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
[ef7d253]182AM_V_CC = $(am__v_CC_@AM_V@)
183am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
[44f44617]184am__v_CC_0 = @echo "  CC      " $@;
185am__v_CC_1 =
[8c0404e]186CCLD = $(CC)
187LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
[ef7d253]188AM_V_CCLD = $(am__v_CCLD_@AM_V@)
189am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
[44f44617]190am__v_CCLD_0 = @echo "  CCLD    " $@;
191am__v_CCLD_1 =
[c59712e]192SOURCES = $(libcfa_a_SOURCES)
193DIST_SOURCES = $(libcfa_a_SOURCES)
[44f44617]194am__can_run_installinfo = \
195  case $$AM_UPDATE_INFO_DIR in \
196    n|no|NO) false;; \
197    *) (install-info --version) >/dev/null 2>&1;; \
198  esac
[ff2d7341]199HEADERS = $(nobase_cfa_include_HEADERS)
[44f44617]200am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
201# Read a list of newline-separated strings from the standard input,
202# and print each of them once, without duplicates.  Input order is
203# *not* preserved.
204am__uniquify_input = $(AWK) '\
205  BEGIN { nonempty = 0; } \
206  { items[$$0] = 1; nonempty = 1; } \
207  END { if (nonempty) { for (i in items) print i; }; } \
208'
209# Make sure the list of sources is unique.  This is necessary because,
210# e.g., the same source file might be shared among _SOURCES variables
211# for different programs/libraries.
212am__define_uniq_tagged_files = \
213  list='$(am__tagged_files)'; \
214  unique=`for i in $$list; do \
215    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
216  done | $(am__uniquify_input)`
[8c0404e]217ETAGS = etags
218CTAGS = ctags
[ba9baad]219am__DIST_COMMON = $(srcdir)/../../src/cfa.make $(srcdir)/Makefile.in \
[c59712e]220        $(top_srcdir)/./automake/depcomp
[8c0404e]221DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
222ACLOCAL = @ACLOCAL@
223AMTAR = @AMTAR@
[ef7d253]224AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
[8c0404e]225AUTOCONF = @AUTOCONF@
226AUTOHEADER = @AUTOHEADER@
227AUTOMAKE = @AUTOMAKE@
228AWK = @AWK@
[ba9baad]229CC = @CC@
[8e5724e]230CCAS = @CCAS@
231CCASDEPMODE = @CCASDEPMODE@
232CCASFLAGS = @CCASFLAGS@
[8c0404e]233CCDEPMODE = @CCDEPMODE@
[ff1e0f38]234CFACC = @CFACC@
235CFACPP = @CFACPP@
236CFA_BINDIR = @CFA_BINDIR@
237CFA_INCDIR = @CFA_INCDIR@
238CFA_LIBDIR = @CFA_LIBDIR@
239CFA_PREFIX = @CFA_PREFIX@
[ba9baad]240CFLAGS = @CFLAGS@
[ff1e0f38]241CONFIGURATION = @CONFIGURATION@
[8c0404e]242CPPFLAGS = @CPPFLAGS@
243CXX = @CXX@
244CXXDEPMODE = @CXXDEPMODE@
245CXXFLAGS = @CXXFLAGS@
246CYGPATH_W = @CYGPATH_W@
247DEFS = @DEFS@
248DEPDIR = @DEPDIR@
[ff1e0f38]249DRIVER_DIR = @DRIVER_DIR@
[8c0404e]250ECHO_C = @ECHO_C@
251ECHO_N = @ECHO_N@
252ECHO_T = @ECHO_T@
253EXEEXT = @EXEEXT@
254INSTALL = @INSTALL@
255INSTALL_DATA = @INSTALL_DATA@
256INSTALL_PROGRAM = @INSTALL_PROGRAM@
257INSTALL_SCRIPT = @INSTALL_SCRIPT@
258INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
259LDFLAGS = @LDFLAGS@
260LIBOBJS = @LIBOBJS@
261LIBS = @LIBS@
262LTLIBOBJS = @LTLIBOBJS@
263MAKEINFO = @MAKEINFO@
264MKDIR_P = @MKDIR_P@
265OBJEXT = @OBJEXT@
266PACKAGE = @PACKAGE@
267PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
268PACKAGE_NAME = @PACKAGE_NAME@
269PACKAGE_STRING = @PACKAGE_STRING@
270PACKAGE_TARNAME = @PACKAGE_TARNAME@
271PACKAGE_URL = @PACKAGE_URL@
272PACKAGE_VERSION = @PACKAGE_VERSION@
273PATH_SEPARATOR = @PATH_SEPARATOR@
274RANLIB = @RANLIB@
275SET_MAKE = @SET_MAKE@
276SHELL = @SHELL@
277STRIP = @STRIP@
278VERSION = @VERSION@
279abs_builddir = @abs_builddir@
280abs_srcdir = @abs_srcdir@
281abs_top_builddir = @abs_top_builddir@
282abs_top_srcdir = @abs_top_srcdir@
283ac_ct_CC = @ac_ct_CC@
284ac_ct_CXX = @ac_ct_CXX@
285am__include = @am__include@
286am__leading_dot = @am__leading_dot@
287am__quote = @am__quote@
288am__tar = @am__tar@
289am__untar = @am__untar@
290bindir = @bindir@
[ff1e0f38]291build = @build@
[8c0404e]292build_alias = @build_alias@
[ff1e0f38]293build_cpu = @build_cpu@
294build_os = @build_os@
295build_vendor = @build_vendor@
[8c0404e]296builddir = @builddir@
297datadir = @datadir@
298datarootdir = @datarootdir@
299docdir = @docdir@
300dvidir = @dvidir@
301exec_prefix = @exec_prefix@
[ff1e0f38]302host = @host@
[8c0404e]303host_alias = @host_alias@
[ff1e0f38]304host_cpu = @host_cpu@
305host_os = @host_os@
306host_vendor = @host_vendor@
[8c0404e]307htmldir = @htmldir@
308includedir = @includedir@
309infodir = @infodir@
310install_sh = @install_sh@
[088a5cd]311libdir = ${CFA_LIBDIR}
[8c0404e]312libexecdir = @libexecdir@
313localedir = @localedir@
314localstatedir = @localstatedir@
315mandir = @mandir@
316mkdir_p = @mkdir_p@
317oldincludedir = @oldincludedir@
318pdfdir = @pdfdir@
319prefix = @prefix@
320program_transform_name = @program_transform_name@
321psdir = @psdir@
[44f44617]322runstatedir = @runstatedir@
[8c0404e]323sbindir = @sbindir@
324sharedstatedir = @sharedstatedir@
325srcdir = @srcdir@
326sysconfdir = @sysconfdir@
327target_alias = @target_alias@
328top_build_prefix = @top_build_prefix@
329top_builddir = @top_builddir@
330top_srcdir = @top_srcdir@
[a922e34]331
332# create object files in directory with source files
333AUTOMAKE_OPTIONS = subdir-objects
[52a9004]334ARFLAGS = cr
[ba9baad]335CFACOMPILE = $(CFACC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) $(AM_CFLAGS) $(CFLAGS)
336AM_V_CFA = $(am__v_CFA_@AM_V@)
337am__v_CFA_ = $(am__v_CFA_@AM_DEFAULT_V@)
338am__v_CFA_0 = @echo "  CFA     " $@;
339am__v_CFA_1 =
[c59712e]340lib_LIBRARIES = libcfa.a
[ba9baad]341
342# AM_CFLAGS for all cfa source
343# AM_CFAFLAGS for only cfa source
344# use -no-include-stdhdr to prevent rebuild cycles
345# The built sources must not depend on the installed headers
346AM_CFAFLAGS = -quiet -no-include-stdhdr -XCFA -t -B@DRIVER_DIR@ -imacros prelude.c -I$(srcdir)/stdhdr
347AM_CFLAGS = -g -Wall -Wno-unused-function
[c59712e]348
349# not all platforms support concurrency, add option do disable it
[0fc52b6]350headers = fstream iostream iterator limits rational time stdlib common \
[64fc0ba]351        containers/maybe containers/pair containers/result \
[c59712e]352        containers/vector concurrency/coroutine concurrency/thread \
353        concurrency/kernel concurrency/monitor concurrency/mutex
[89ce869]354libobjs = ${headers:=.o}
[c59712e]355
356# not all platforms support concurrency, add option do disable it
[ba9baad]357libsrc = prelude.c startup.cfa interpose.cfa bits/debug.cfa assert.cfa \
358        exception.c virtual.c heap.cfa ${headers:=.cfa} \
359        concurrency/CtxSwitch-@host_alias@.S concurrency/alarm.cfa \
360        concurrency/invoke.c concurrency/preemption.cfa
[3d50aaf]361libcfa_a_SOURCES = ${libsrc}
[e9546f9]362stdhdr = ${shell find ${srcdir}/stdhdr -type f -printf "%p "}
[df47e2f]363cfa_includedir = $(CFA_INCDIR)
[ea7d2b0]364nobase_cfa_include_HEADERS = \
[0fc52b6]365        ${headers}              \
366        ${stdhdr}               \
367        math                    \
368        gmp                     \
369        time_t.h                \
[c2b9f21]370        bits/align.h            \
[0fc52b6]371        bits/containers.h       \
[ea7d2b0]372        bits/defs.h             \
[875a72f]373        bits/debug.h            \
[ea7d2b0]374        bits/locks.h            \
[c2b9f21]375        concurrency/invoke.h
[ea7d2b0]376
[ba9baad]377CLEANFILES = prelude.c
[8c0404e]378all: all-am
379
380.SUFFIXES:
[ba9baad]381.SUFFIXES: .S .c .cfa .o .obj
382$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/../../src/cfa.make $(am__configure_deps)
[8c0404e]383        @for dep in $?; do \
384          case '$(am__configure_deps)' in \
385            *$$dep*) \
386              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
387                && { if test -f $@; then exit 0; else break; fi; }; \
388              exit 1;; \
389          esac; \
390        done; \
[c59712e]391        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
[8c0404e]392        $(am__cd) $(top_srcdir) && \
[c59712e]393          $(AUTOMAKE) --foreign src/Makefile
[8c0404e]394Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
395        @case '$?' in \
396          *config.status*) \
397            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
398          *) \
399            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
400            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
401        esac;
[ba9baad]402$(srcdir)/../../src/cfa.make $(am__empty):
[8c0404e]403
404$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
405        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
406
[857638d]407$(top_srcdir)/configure:  $(am__configure_deps)
[8c0404e]408        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
[857638d]409$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
[8c0404e]410        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
411$(am__aclocal_m4_deps):
412install-libLIBRARIES: $(lib_LIBRARIES)
413        @$(NORMAL_INSTALL)
414        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
415        list2=; for p in $$list; do \
416          if test -f $$p; then \
417            list2="$$list2 $$p"; \
418          else :; fi; \
419        done; \
420        test -z "$$list2" || { \
[44f44617]421          echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
422          $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
[8c0404e]423          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
424          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
425        @$(POST_INSTALL)
426        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
427        for p in $$list; do \
428          if test -f $$p; then \
429            $(am__strip_dir) \
430            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
431            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
432          else :; fi; \
433        done
434
435uninstall-libLIBRARIES:
436        @$(NORMAL_UNINSTALL)
437        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
438        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
439        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
440
441clean-libLIBRARIES:
442        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
[875a72f]443bits/$(am__dirstamp):
444        @$(MKDIR_P) bits
445        @: > bits/$(am__dirstamp)
446bits/$(DEPDIR)/$(am__dirstamp):
447        @$(MKDIR_P) bits/$(DEPDIR)
448        @: > bits/$(DEPDIR)/$(am__dirstamp)
[ba9baad]449bits/debug.$(OBJEXT): bits/$(am__dirstamp) \
[875a72f]450        bits/$(DEPDIR)/$(am__dirstamp)
[6d665d9]451containers/$(am__dirstamp):
452        @$(MKDIR_P) containers
453        @: > containers/$(am__dirstamp)
454containers/$(DEPDIR)/$(am__dirstamp):
455        @$(MKDIR_P) containers/$(DEPDIR)
456        @: > containers/$(DEPDIR)/$(am__dirstamp)
[ba9baad]457containers/maybe.$(OBJEXT): containers/$(am__dirstamp) \
[64fc0ba]458        containers/$(DEPDIR)/$(am__dirstamp)
[ba9baad]459containers/pair.$(OBJEXT): containers/$(am__dirstamp) \
[02d241f]460        containers/$(DEPDIR)/$(am__dirstamp)
[ba9baad]461containers/result.$(OBJEXT): containers/$(am__dirstamp) \
[64fc0ba]462        containers/$(DEPDIR)/$(am__dirstamp)
[ba9baad]463containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
[6d665d9]464        containers/$(DEPDIR)/$(am__dirstamp)
[0e76cf4f]465concurrency/$(am__dirstamp):
466        @$(MKDIR_P) concurrency
467        @: > concurrency/$(am__dirstamp)
468concurrency/$(DEPDIR)/$(am__dirstamp):
469        @$(MKDIR_P) concurrency/$(DEPDIR)
470        @: > concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]471concurrency/coroutine.$(OBJEXT): concurrency/$(am__dirstamp) \
[aed3f54]472        concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]473concurrency/thread.$(OBJEXT): concurrency/$(am__dirstamp) \
[37efaf56]474        concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]475concurrency/kernel.$(OBJEXT): concurrency/$(am__dirstamp) \
[aed3f54]476        concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]477concurrency/monitor.$(OBJEXT): concurrency/$(am__dirstamp) \
[eac73eb]478        concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]479concurrency/mutex.$(OBJEXT): concurrency/$(am__dirstamp) \
[09800e9]480        concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]481concurrency/CtxSwitch-@host_alias@.$(OBJEXT):  \
[c59712e]482        concurrency/$(am__dirstamp) \
483        concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]484concurrency/alarm.$(OBJEXT): concurrency/$(am__dirstamp) \
[759908f]485        concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]486concurrency/invoke.$(OBJEXT): concurrency/$(am__dirstamp) \
[37efaf56]487        concurrency/$(DEPDIR)/$(am__dirstamp)
[ba9baad]488concurrency/preemption.$(OBJEXT): concurrency/$(am__dirstamp) \
[759908f]489        concurrency/$(DEPDIR)/$(am__dirstamp)
[44f44617]490
[8c0404e]491libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
[ef7d253]492        $(AM_V_at)-rm -f libcfa.a
493        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
494        $(AM_V_at)$(RANLIB) libcfa.a
[8c0404e]495
496mostlyclean-compile:
497        -rm -f *.$(OBJEXT)
[875a72f]498        -rm -f bits/*.$(OBJEXT)
[44f44617]499        -rm -f concurrency/*.$(OBJEXT)
500        -rm -f containers/*.$(OBJEXT)
[8c0404e]501
502distclean-compile:
503        -rm -f *.tab.c
504
[ba9baad]505@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/exception.Po@am__quote@
506@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/prelude.Po@am__quote@
507@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/virtual.Po@am__quote@
508@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/CtxSwitch-@host_alias@.Po@am__quote@
509@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/invoke.Po@am__quote@
[8c0404e]510
[8e5724e]511.S.o:
512@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
513@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
514@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
515@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
516@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
517@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ $<
518
519.S.obj:
520@am__fastdepCCAS_TRUE@  $(AM_V_CPPAS)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
521@am__fastdepCCAS_TRUE@  $(CPPASCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
522@am__fastdepCCAS_TRUE@  $(am__mv) $$depbase.Tpo $$depbase.Po
523@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
524@AMDEP_TRUE@@am__fastdepCCAS_FALSE@     DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
525@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
526
[7f8b740]527.c.o:
[a922e34]528@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
529@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
530@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
[ef7d253]531@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
[7f8b740]532@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
[a922e34]533@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
[7f8b740]534
[8c0404e]535.c.obj:
[a922e34]536@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
537@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
538@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
[ef7d253]539@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
[8c0404e]540@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
[a922e34]541@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
[ff2d7341]542install-nobase_cfa_includeHEADERS: $(nobase_cfa_include_HEADERS)
[d3b7937]543        @$(NORMAL_INSTALL)
[ff2d7341]544        @list='$(nobase_cfa_include_HEADERS)'; test -n "$(cfa_includedir)" || list=; \
[44f44617]545        if test -n "$$list"; then \
546          echo " $(MKDIR_P) '$(DESTDIR)$(cfa_includedir)'"; \
547          $(MKDIR_P) "$(DESTDIR)$(cfa_includedir)" || exit 1; \
548        fi; \
[854a32c]549        $(am__nobase_list) | while read dir files; do \
550          xfiles=; for file in $$files; do \
551            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
552            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
553          test -z "$$xfiles" || { \
554            test "x$$dir" = x. || { \
[44f44617]555              echo " $(MKDIR_P) '$(DESTDIR)$(cfa_includedir)/$$dir'"; \
[ff2d7341]556              $(MKDIR_P) "$(DESTDIR)$(cfa_includedir)/$$dir"; }; \
557            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(cfa_includedir)/$$dir'"; \
558            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(cfa_includedir)/$$dir" || exit $$?; }; \
[d3b7937]559        done
560
[ff2d7341]561uninstall-nobase_cfa_includeHEADERS:
[d3b7937]562        @$(NORMAL_UNINSTALL)
[ff2d7341]563        @list='$(nobase_cfa_include_HEADERS)'; test -n "$(cfa_includedir)" || list=; \
[854a32c]564        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
[ff2d7341]565        dir='$(DESTDIR)$(cfa_includedir)'; $(am__uninstall_files_from_dir)
[8c0404e]566
[44f44617]567ID: $(am__tagged_files)
568        $(am__define_uniq_tagged_files); mkid -fID $$unique
569tags: tags-am
570TAGS: tags
571
572tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
[8c0404e]573        set x; \
574        here=`pwd`; \
[44f44617]575        $(am__define_uniq_tagged_files); \
[8c0404e]576        shift; \
577        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
578          test -n "$$unique" || unique=$$empty_fix; \
579          if test $$# -gt 0; then \
580            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
581              "$$@" $$unique; \
582          else \
583            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
584              $$unique; \
585          fi; \
586        fi
[44f44617]587ctags: ctags-am
588
589CTAGS: ctags
590ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
591        $(am__define_uniq_tagged_files); \
[8c0404e]592        test -z "$(CTAGS_ARGS)$$unique" \
593          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
594             $$unique
595
596GTAGS:
597        here=`$(am__cd) $(top_builddir) && pwd` \
598          && $(am__cd) $(top_srcdir) \
599          && gtags -i $(GTAGS_ARGS) "$$here"
[44f44617]600cscopelist: cscopelist-am
601
602cscopelist-am: $(am__tagged_files)
603        list='$(am__tagged_files)'; \
604        case "$(srcdir)" in \
605          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
606          *) sdir=$(subdir)/$(srcdir) ;; \
607        esac; \
608        for i in $$list; do \
609          if test -f "$$i"; then \
610            echo "$(subdir)/$$i"; \
611          else \
612            echo "$$sdir/$$i"; \
613          fi; \
614        done >> $(top_builddir)/cscope.files
[8c0404e]615
616distclean-tags:
617        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
618
619distdir: $(DISTFILES)
620        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
621        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
622        list='$(DISTFILES)'; \
623          dist_files=`for file in $$list; do echo $$file; done | \
624          sed -e "s|^$$srcdirstrip/||;t" \
625              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
626        case $$dist_files in \
627          */*) $(MKDIR_P) `echo "$$dist_files" | \
628                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
629                           sort -u` ;; \
630        esac; \
631        for file in $$dist_files; do \
632          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
633          if test -d $$d/$$file; then \
634            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
635            if test -d "$(distdir)/$$file"; then \
636              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
637            fi; \
638            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
639              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
640              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
641            fi; \
642            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
643          else \
644            test -f "$(distdir)/$$file" \
645            || cp -p $$d/$$file "$(distdir)/$$file" \
646            || exit 1; \
647          fi; \
648        done
649check-am: all-am
650check: check-am
[375a068]651all-am: Makefile $(LIBRARIES) $(HEADERS)
[8c0404e]652installdirs:
[ff2d7341]653        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfa_includedir)"; do \
[8c0404e]654          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
655        done
656install: install-am
657install-exec: install-exec-am
658install-data: install-data-am
659uninstall: uninstall-am
660
661install-am: all-am
662        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
663
664installcheck: installcheck-am
665install-strip:
666        if test -z '$(STRIP)'; then \
667          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
668            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
669              install; \
670        else \
671          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
672            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
673            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
674        fi
675mostlyclean-generic:
676
677clean-generic:
[f326f99]678        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
[8c0404e]679
680distclean-generic:
681        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
682        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
[875a72f]683        -rm -f bits/$(DEPDIR)/$(am__dirstamp)
684        -rm -f bits/$(am__dirstamp)
[0e76cf4f]685        -rm -f concurrency/$(DEPDIR)/$(am__dirstamp)
686        -rm -f concurrency/$(am__dirstamp)
[6d665d9]687        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
688        -rm -f containers/$(am__dirstamp)
[8c0404e]689
690maintainer-clean-generic:
691        @echo "This command is intended for maintainers to use"
692        @echo "it deletes files that may require special tools to rebuild."
693clean: clean-am
694
695clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
696
697distclean: distclean-am
[ba9baad]698        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR)
[8c0404e]699        -rm -f Makefile
700distclean-am: clean-am distclean-compile distclean-generic \
701        distclean-tags
702
703dvi: dvi-am
704
705dvi-am:
706
707html: html-am
708
709html-am:
710
711info: info-am
712
713info-am:
714
[ff2d7341]715install-data-am: install-nobase_cfa_includeHEADERS
[8c0404e]716
717install-dvi: install-dvi-am
718
719install-dvi-am:
720
721install-exec-am: install-libLIBRARIES
722
723install-html: install-html-am
724
725install-html-am:
726
727install-info: install-info-am
728
729install-info-am:
730
731install-man:
732
733install-pdf: install-pdf-am
734
735install-pdf-am:
736
737install-ps: install-ps-am
738
739install-ps-am:
740
741installcheck-am:
742
743maintainer-clean: maintainer-clean-am
[ba9baad]744        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR)
[8c0404e]745        -rm -f Makefile
[159c62e]746maintainer-clean-am: distclean-am maintainer-clean-generic \
747        maintainer-clean-local
[8c0404e]748
749mostlyclean: mostlyclean-am
750
751mostlyclean-am: mostlyclean-compile mostlyclean-generic
752
753pdf: pdf-am
754
755pdf-am:
756
757ps: ps-am
758
759ps-am:
760
[ff2d7341]761uninstall-am: uninstall-libLIBRARIES \
762        uninstall-nobase_cfa_includeHEADERS
[8c0404e]763
764.MAKE: install-am install-strip
765
[44f44617]766.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
767        clean-libLIBRARIES cscopelist-am ctags ctags-am distclean \
768        distclean-compile distclean-generic distclean-tags distdir dvi \
769        dvi-am html html-am info info-am install install-am \
770        install-data install-data-am install-dvi install-dvi-am \
771        install-exec install-exec-am install-html install-html-am \
772        install-info install-info-am install-libLIBRARIES install-man \
[ff2d7341]773        install-nobase_cfa_includeHEADERS install-pdf install-pdf-am \
[ee51534]774        install-ps install-ps-am install-strip installcheck \
775        installcheck-am installdirs maintainer-clean \
[159c62e]776        maintainer-clean-generic maintainer-clean-local mostlyclean \
777        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
[44f44617]778        tags tags-am uninstall uninstall-am uninstall-libLIBRARIES \
[ff2d7341]779        uninstall-nobase_cfa_includeHEADERS
[d3b7937]780
[44f44617]781.PRECIOUS: Makefile
782
[8c0404e]783
[ba9baad]784.cfa.o: $(CFACC) $(CFACPP)
785        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
786        $(CFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
787        $(am__mv) $$depbase.Tpo $$depbase.Po
[37efaf56]788
[89ce869]789# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
[4f18de3]790# SKULLDUGGERY in order to make sure this isn't called make the rule always fail but also create a rule for headers
[89ce869]791% : %.c
[4f18de3]792        echo "Dummy rule, should never be called"
793        false
794
795# This rule should always match headers and since it has no prerequisite it will never be called
796$(addprefix $(srcdir)/,$(headers)):
797        echo "Dummy rule, should never be called"
798        false
[89ce869]799
[ba9baad]800${libobjs} : ${cfalib_DATA} # add dependency to cfa-cpp so all libraries are rebuilt with new translator
[8c0404e]801
[159c62e]802maintainer-clean-local:
[796cea3]803        -rm -rf ${CFA_INCDIR} ${CFA_LIBDIR}
[159c62e]804
[8c0404e]805# Tell versions [3.59,3.63) of GNU make to not export all variables.
806# Otherwise a system limit (for SysV at least) may be exceeded.
807.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.